Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.jws.soap
Annotation Type SOAPBinding

    @Retention(value=RUNTIME)
    @Target(value={TYPE,METHOD})
    public @interface SOAPBinding

Specifies the mapping of the Web Service onto the SOAP message protocol.

Optional Element Summary
`SOAPBinding.ParameterStyle` | `parameterStyle` Determines whether method parameters represent the entire message body, or whether the parameters are elements wrapped inside a top-level element named after the operation
`SOAPBinding.Style` | `style` Defines the encoding style for messages send to and from the Web Service.
`SOAPBinding.Use` | `use` Defines the formatting style for messages sent to and from the Web Service.

### style

    public abstract SOAPBinding.Style style

  Defines the encoding style for messages send to and from the Web Service.

  Default:
    javax.jws.soap.SOAPBinding.Style.DOCUMENT

### use

    public abstract SOAPBinding.Use use

  Defines the formatting style for messages sent to and from the Web Service.

  Default:
    javax.jws.soap.SOAPBinding.Use.LITERAL

### parameterStyle

    public abstract SOAPBinding.ParameterStyle parameterStyle

  Determines whether method parameters represent the entire message body, or whether the parameters are elements wrapped inside a top-level element named after the operation

  Default:
    javax.jws.soap.SOAPBinding.ParameterStyle.WRAPPED

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.